%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%symbolic_motion_walk.m
%{bg̏^w̃V{bNvZ
% {bgÕsV~[^p
%Kvv_Ng:MATLAB,Symbolic Math Toolbox
%{bg̎p̌vZ

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright (c) 2007 CYBERNET SYSTEMS CO.,LTD. All rights reserved.
% Version 1.0 2007/01/31 Hiroumi Mita
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%theta_R1 theta_R2 theta_R3 E֐ߊpx
%theta_L1 theta_L2 theta_L3 ֐ߊpx
%x0 ̏ʒuxW[mm]
%w  [mm]
%wT [/]
%l2 l3 N2,3[mm]
%xR,zR QƋOxzW[mm]
syms theta_R1 theta_R2 theta_R3
syms theta_L1 theta_L2 theta_L3
syms x0 w wT l2 l3 xR zR 


%Wn0烰L1ւ̓ϊs
T_0_L1=[1 0 0 x0+wT; ...
         0 1 0  w/2; ...
         0 0 1    0; ...
         0 0 0    1];

T_0_L1=simple(T_0_L1)

%WnL1烰L2ւ̓ϊs
T_L1_L2=[cos(-(theta_L3-theta_L2)) 0 sin(-(theta_L3-theta_L2)) 0; ...
                                 0 1                         0 0; ...
        -sin(-(theta_L3-theta_L2)) 0 cos(-(theta_L3-theta_L2)) 0; ...
                                 0 0                         0 1];
T_L1_L2=simple(T_L1_L2) 

%WnL2烰L3ւ̓ϊs
T_L2_L3=[cos(-theta_L2) 0 sin(-theta_L2)  0; ...
                      0 1              0  0; ...
        -sin(-theta_L2) 0 cos(-theta_L2) l2; ...
                      0 0              0  1];
  
T_L2_L3=simple(T_L2_L3)


%Wn0烰R1ւ̓ϊs
T_0_R1=[1  0 0 x0+xR; ...
        0  1 0 -w/2; ...
        0  0 1   zR; ...
        0  0 0    1];

T_0_R1=simple(T_0_R1)

%WnR1烰R2ւ̓ϊs
T_R1_R2=[cos(theta_R2+theta_R3) 0 sin(theta_R2+theta_R3) 0; ...
                              0 1                      0 0; ...
        -sin(theta_R2+theta_R3) 0 cos(theta_R2+theta_R3) 0; ...
                              0 0                      0 1];

T_R1_R2=simple(T_R1_R2)

%WnR2烰R3ւ̓ϊs
T_R2_R3=[cos(-theta_R2) 0 sin(-theta_R2)  0; ...
                      0 1              0  0; ...
        -sin(-theta_R2) 0 cos(-theta_R2) l2; ...
                      0 0              0  1];

T_R2_R3=simple(T_R2_R3)


%WnL2猩JL2̍W
R_L2_JL2=[0 0 l2].'
%WnL3猩JL3̍W
R_L3_JL3=[0 0 l3].'

%Wn0猩JL2̍W
R_0_JL2=T_0_L1*T_L1_L2*[R_L2_JL2;1]
R_0_JL2=simple(R_0_JL2)
%Wn0猩JL3̍W
R_0_JL3=T_0_L1*T_L1_L2*T_L2_L3*[R_L3_JL3;1]
R_0_JL3=simple(R_0_JL3)

%WnR2猩JR2̍W
R_R2_JR2=[0 0 l2].'
%WnR3猩JR3̍W
R_R3_JR3=[0 0 l3].'

%Wn0猩JR2̍W
R_0_JR2=T_0_R1*T_R1_R2*[R_R2_JR2;1];
R_0_JR2=simple(R_0_JR2)
%Wn0猩JR3̍W
R_0_JR3=T_0_R1*T_R1_R2*T_R2_R3*[R_R3_JR3;1];
R_0_JR3=simple(R_0_JR3)


